Skip to main content

Reseller Ordering Example

note

This example is for resellers only.

Annotated Examples​

The following example shows Hub orders and indicate how previous field names map to the Hub order schema.

// POST https://api.maxar.com/tasking/v2/tasking/vantor
//Note:
// - Hub does not need apiVersion to be mapped for anything
// - Placing an order through the tasking api task endpoint automatically means this is a "TaskingProduction" lineItems.orderType, so there is no separate field for specifying this
// - There is no "responsivenessLevel" field - I think this translates to fast/flex/best/etc tasking types
// - There is no validateOnly field. To run a validation-only request, use the validation_only query parameter.
// - Although not in this tasking order specifically, max gsd values in some examples cannot be translated directly because of unsupported values. ie, customer submitted 0.49, but the supported values are 0.39 and 0.59

{
"start_collect_datetime":"2026-09-29T11:00:36.163Z", //lineItems.tasking.startCollectDateTime
"end_collection_datetime":"2026-09-29T12:30:36.163Z", //lineItems.tasking.endCollectDateTime
"tasking_tier":"flexView", //Based on the combined settings, I know this is flexView. Customer may be able to tell if SelectPlus always maps to flexView? I do not know what SelectPlus means
"stereo":false, //lineItems.isStereo
"min_incremental_delivery_percent":0.99, //lineItems.product.minPartialDelivery
"tasking_details":{
"max_gsd":0.39, //lineItems.product.productDetails.maxCollectGsd
"max_cloud_cover": 100, //lineItems.tasking.taskingDetails.maxCloudCover
"max_off_nadir_angle": 40, //lineItems.tasking.taskingDetails.maxOffNadirAngle
"min_sun_elevation_angle": 7 //lineItems.tasking.taskingDetails.minSunElevationAngle
}
"geometry": { //lineItems.aoiInGeoJson
"type":"Polygon",
"coordinates":[
[
//coordinate pairs..
]
]
},
"product_details": {
"resampling_kernel":"CC", //lineItems.product.productDetails.resamplingKernel
"tiling":"16kx16k", //lineItems.product.productDetails.tiling
"projection_datum_option":"UTM_WGS84_Meter", //lineItems.product.productDetails.projectionDatumOption
"output_bit_depth":"16", //lineItems.product.productDetails.outputBitDepth
"product_option":"4BandBundle", //lineItems.product.productDetails.productOption
"product_type":"view-ready-ortho" //lineItems.product.productDetails.productType
},
"reseller_data":{
"end_use": {
"code":"ERM", //lineItems.endUse.code
"user_ids":["27354"] //lineItems.endUse.userIds , this is pulled from the capi/customer endpoint. Not seeing this value translated into internal value, so there is something between capi and sap that translates this somehow because this value is not in the capi/customer endpoint
},
"maxar_purchase_order": "??????", //currently nothing being mapped to this field, optional string field
"customer_purchase_order": "26EUSI-0928134836-9DF", //customerPurchaseOrder
"bill_to_id":"C1SYYJ02G4", //nothing from original order template mapped here, this is pulled from the capi/customer endpoint for info
"sub_reseller_id":"????????", //currently nothing being mapped to this field, optional string field
"ship_to_id":"???????", //currently nothing being mapped to this field, optional string field
"license":{ //productLicensing
"type":"Internal", //productLicensing.licenseType
"terms":"Perpetual", //productLicensing.licenseTerms
"segment":"Regular", //productLicensing.licenseSegment
"use_rights":"ViewAndAnalysis" //productLicensing.useRightsType
}
},
"output_configs":[
{
"type":"amazon_s3", //lineItems.deliveries.deliveryType
"bucket":"s3tara", //lineItems.deliveries.destinationId ? Assuming this is an s3 bucket.
"prefix":"????" //currently nothing being mapped to this, but if users want to define a more granular path than just the bucket, this is available
}
],
"metadata":{ //these are fields they are currently sending that don't appear to map anywhere
"customerId":"C1SYYJ02G4", //translates to sold_to_id, can be used for customer info request
"contractId":"0046066233-000010", //this value technically can be found/populated in the hub activation for a user, but doesn't appear to be in current testing activations. SAP side, this is validated if it exists. There is no actual place to put this in an order.
"customerReference":"jREigq7iNLStWNGv9Sh1qm", //this is mapped as order_id for hub orders, so wouldn't be provided by a customer
"customerReferenceLineId":"26EUSI-0928134836-9DF-001", //this is generated in common order, so wouldn't be provided by a customer
"customer_description": "f9889896-b6e1-4b99-b846-705c6750c4f8", //lineItems.customerDescription . There is no actual field mapping for this, so putting it in the open metadata block is the best way to track this value
//the following fields may be fully undocumented fields that are allowed in a hub order, but they aren't in the pipeline schema so someone would need to verify if they work
"isFullExtent":false, //not a field? If there is an aoi provided, this counts as false. If no aoi is provided, this counts as true
"isClipToStrip":true, //not sure there is a hub task ordering translation
"is_high_definition":"false", //this is not available right now if it ever is set to true
"allowedVehicles":[], //we have no mapping for this
"requested_gsd":0.39, //technicality there is a mapping for this under product_details, but specifically only for NASA and only for a value of 1. So this is not supported

},
"notifications":[ //lineItems.statusCallbackLink mapping, not fully 1-1 because additional details are necessary. Proper construction provided in the translation here.
{
"type":"http",
"target":"https://apps.euspaceimaging.com/callback/maxar/api/v1/callback/5e15f2ed-95ca-4099-90c3-5f06108b0e5f/taskingwindow/status",
"level": "FINAL_ONLY"
}
]
}

//the hub payload might be different than what they are used to
//tasking in particular might want to use a different "level" value in case of incremental deliveries; recommend level of INTERMEDIATE
//notification hub payload will look similar to
//{
// "tasking_id": self.tasking_id,
// "status": self.status,
// "description": self.description,
// "details": self.details,
// "tasking_url": self.tasking_url,
// "fulfillment_unit_details": self.fulfillment_unit_details,
// "user": self.user,
//}